// endgame.cpp
#include "fwl5.h"
#include "endbox.h"
#include "scorebox.h"
#include "navcontr.h"

#include <stdio.h>

BEGIN_COMMAND_TABLE(EndGameBox)
 BIND_COMMAND(EndGameBox, OnRestart, IDC_RESTART)
 BIND_COMMAND(EndGameBox, OnRetry, IDC_CONTINUE)
 BIND_COMMAND(EndGameBox, OnQuit, IDC_QUIT)
 BIND_COMMAND(EndGameBox, OnPlayback, IDC_PLAYBACK)
 BIND_COMMAND(EndGameBox, OnShowStatus, IDC_SHOWSTATUS)
 BIND_COMMAND(EndGameBox, OnSaveGame, IDC_SAVEGAME)
 BIND_COMMAND(EndGameBox, OnRestoreGame, IDC_RESTOREGAME)
END_COMMAND_TABLE();

void EndGameBox::OnRestart(int cmd,  int)
{
  Terminate(cmd);
}
void EndGameBox::OnRetry(int cmd, int)
{
  Terminate(cmd);
}
void EndGameBox::OnQuit(int cmd, int)
{
  Terminate(cmd);
}
void EndGameBox::OnPlayback(int cmd,int)
{
  Terminate(cmd);
}
void EndGameBox::OnSaveGame(int,int)
{
  controller->DoSaveCommand();
}
void EndGameBox::OnRestoreGame(int cmd,int)
{
  //controller->DoRestoreCommand();
  Terminate(cmd);
}
void EndGameBox::OnShowStatus(int,int)
{
  controller->DoStatusCommand(this);
}

BOOL EndGameBox::OnCreate(void)
{
  SelfCenter();
  return TRUE;
}
