/************************************************************************\
					C++ File Handling Templates
					for RJM files handling.
\************************************************************************/

#ifndef _RJMTEMPFILEHEADER
#define _RJMTEMPFILEHEADER

#include "RJMFile.h"

// Read this data type from file
template <class T> BOOL ReadDatatype(HANDLE fhandle, T *ptr)
{
	return ReadDatatype(fhandle,ptr,(DWORD)1);
}

// Read array of types from file
template <class T> BOOL ReadDatatype(HANDLE fhandle, T *ptr, DWORD count)
{
	DWORD br;
	DWORD amt = sizeof(T) * count;
	if (ReadFile(fhandle,ptr,amt,&br,NULL)==TRUE)
	{
		if (br == amt)
			return TRUE;
	}
	return FALSE;
}

// Write this data type to file
template <class T> BOOL WriteDatatype(HANDLE fhandle, T *ptr)
{
	return WriteDatatype(fhandle,ptr,(DWORD)1);
}

// Write array of this type to file
template <class T> BOOL WriteDatatype(HANDLE fhandle, T *ptr, DWORD count)
{
	DWORD br;
	DWORD amt = sizeof(T) * count;
	if (WriteFile(fhandle,ptr,amt,&br,NULL)==TRUE)
	{
		if (br == amt)
			return TRUE;
	}
	return FALSE;
}

#endif