#include "fwl5.h"
#include "fsstate.h"
#include "navcontr.h"
#include "gamewin.h"
#include "endbox.h"
#include "resource.h"
//-----------------------------------------------------------------------------
void FinalStatusState::DoEndDialog()
{
  EndGameBox egb(controller);
  int result = egb.RunModal(controller->window);
  switch(result)
  {
  case IDC_QUIT:
     controller->window->Close();
    break;
  case IDC_RESTART:
    controller->DoRestartCommand();
    break;
  case IDC_CONTINUE:
    controller->DoRetryCommand();
    break;
  case IDC_PLAYBACK:
    controller->DoReminderCommand();
    break;
  case IDC_RESTOREGAME:
    controller->DoRestoreCommand();
    break;
  default:
    break;
  }
}
//-----------------------------------------------------------------------------
void FinalStatusState::MouseDown(const CPoint&, int)
{
}
//-----------------------------------------------------------------------------
void FinalStatusState::OnPaint(const CDC&, const CRect&)
{
}
//-----------------------------------------------------------------------------
void FinalStatusState::Key(int, int)
{
}
//-----------------------------------------------------------------------------
void FinalStatusState::Idle()
{
  Window* window=controller->window;
  if (stime==0 && controller->GameOver())
  {
    stime = GetTickCount();
    window->UpdateAll();
    controller->PausePlayback();
    DoEndDialog();
    return;
  }
}
