;******************************************************************************
;            (C) Copyright 1992-1995, Radius, Inc. and Atari Corp.
; Secret and confidential                                   All rights reserved
;******************************************************************************
; This source code and any compilation or derivative thereof is the joint
; property of Radius, Inc. and Atari Corp.  This code is provided pursuant
; to a Software License Agreement and/or Software Development Contract.  This
; code is the proprietary information of Radius, Inc. and Atari Corp. and is
; confidential in nature.  Its use and dissemination by any party other than
; Atari Corp. are strictly limited by the confidential information provisions
; of the Agreement or Contract referenced above.
;******************************************************************************
;				     CD.INC
;
;                                REVISION HISTORY
;
; REV.  DATE       BY            DESCRIPTION OF EDIT
; """"  """"       ""            """""""""""""""""""
; 1.00  20 Apr 94  LJT		 First Release
; 1.01  24 May 94  LJT		 Added CD_getoc
; 1.02  31 May 94  LJT		 Added err_flag
; 1.03  16 Nov 94  LJT		 Added CD_initm & CD_initf
;******************************************************************************
; 100 11 Apr 95 LJT     Initial revision.
; 101 08 Nov 95 JPE     Official legal banner added (no other changes).
;******************************************************************************

; Jump table to ALL of the functions

CD_init		EQU	$3000
CD_mode		EQU	CD_init	+ 6
CD_ack		EQU	CD_mode	+ 6
CD_jeri		EQU	CD_ack	+ 6
CD_spin		EQU	CD_jeri	+ 6
CD_stop		EQU	CD_spin	+ 6
CD_mute		EQU	CD_stop	+ 6
CD_umute	EQU	CD_mute	+ 6
CD_paus		EQU	CD_umute+ 6
CD_upaus	EQU	CD_paus	+ 6
CD_read		EQU	CD_upaus+ 6
CD_uread	EQU	CD_read	+ 6
CD_setup	EQU	CD_uread+ 6
CD_ptr		EQU	CD_setup+ 6
CD_osamp	EQU	CD_ptr	+ 6
CD_getoc	EQU	CD_osamp+ 6
CD_initm	EQU	CD_getoc+ 6
CD_initf	EQU	CD_initm+ 6
CD_switch	EQU	CD_initf+ 6

err_flag	EQU	$3e00

CD_toc		EQU	$2c00

BIOS_VER	EQU	$3004
