;*****************************************************************
;	AUX ATOM
;*****************************************************************	


	.data

;*****************************************************************
;	SEG/FILM 2
;*****************************************************************
	.long
aux_atom_2:
	.dc.b	'AUXL'				; AUX ID
	.dc.l	aux_atom_end_2 - aux_atom_2	; AUX Size
	.dc.l	0				; Reserved

track_table_2:
	.dc.b	'TRTB'				; Track Table ID
	.dc.l	track_table_end_2 - track_table_2 ; Table Size
	.dc.l	2				; # of Tracks
	
track_record_2_0:
	.dc.l	0				; Track 0 Offset
	.dc.l	track_2_1 - track_2_0		; Track 0 Size
track_record_2_1:
	.dc.l	track_2_1 - track_2_0		; Track 1 Offset
	.dc.l	track_2_2 - track_2_1		; Track 1 Size
track_table_end_2:

track_2_0:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_2_1 - track_2_0		; Track Size
	
segment_table_2_0:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_2_0 - segment_table_2_0 ; Table Size
	.dc.l	2				; # of Segments
segment_record_2_0_0:
	.dc.l	0				; Offset
	.dc.l	segment_2_0_1 - segment_2_0_0	; Size
	.dc.l	18				; first frame
	.dc.l	88				; last frame
segment_record_2_0_1:
	.dc.l	0				; Offset
	.dc.l	segment_2_0_2 - segment_2_0_1	; Size
	.dc.l	100				; first frame
	.dc.l	112				; last frame
segment_table_end_2_0:
	
segment_2_0_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_2_0_1 - segment_2_0_0	; Segment size
	
vtrack_2_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_2_0_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_2_0_0 - subt_2_0_0		; Subtitle Size
	.dc.b	'FORGET THIS PLACE',0		; String
	.long
subt_end_2_0_0:

score_2_0_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_2_0_0 - score_2_0_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_2_0_0:


segment_2_0_1:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_2_0_2 - segment_2_0_1	; Segment size
	
vtrack_2_0_1:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_2_0_1:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_2_0_1 - subt_2_0_1		; Subtitle Size
	.dc.b	'LUCKY NUMBER',0		; String
	.long
subt_end_2_0_1:

score_2_0_1:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_2_0_1 - score_2_0_1	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_2_0_1:

segment_2_0_2:

track_2_1:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_2_2 - track_2_1		; Track Size
	
segment_table_2_1:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_2_1 - segment_table_2_1 ; Table Size
	.dc.l	2				; # of Segments
segment_record_2b_0:
	.dc.l	0				; Offset
	.dc.l	segment_2_1_1 - segment_2_1_0	; Size
	.dc.l	18				; first frame
	.dc.l	88				; last frame
segment_record_2b_1:
	.dc.l	0				; Offset
	.dc.l	segment_2_1_2 - segment_2_1_1	; Size
	.dc.l	100				; first frame
	.dc.l	112				; last frame
segment_table_end_2_1:
	
segment_2_1_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_2_1_1 - segment_2_1_0	; Segment size
	
vtrack_2_1_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_2_1_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_2_1_0 - subt_2_1_0	; Subtitle Size
	.dc.b	'UNUSED',0			; String
	.long
subt_end_2_1_0:

score_2_1_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_2_1_0 - score_2_1_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_2_1_0:


segment_2_1_1:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_2_1_2 - segment_2_1_1	; Segment size
	
vtrack_2_1_1:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_2_1_1:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_2_1_1 - subt_2_1_1	; Subtitle Size
	.dc.b	'LUCKY NUMBER',0		; String
	.long
subt_end_2_1_1:

score_2_1_1:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_2_1_1 - score_2_1_1	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_2_1_1:

segment_2_1_2:
track_2_2:
aux_atom_end_2:


;*****************************************************************
;	SEG/FILM 11
;*****************************************************************


	.long
aux_atom_11:
	.dc.b	'AUXL'				; AUX ID
	.dc.l	aux_atom_end_11 - aux_atom_11	; AUX Size
	.dc.l	0				; Reserved

track_table_11:
	.dc.b	'TRTB'				; Track Table ID
	.dc.l	track_table_end_11 - track_table_11 ; Table Size
	.dc.l	2				; # of Tracks
	
track_record_11_0:
	.dc.l	0				; Track 0 Offset
	.dc.l	track_11_1 - track_11_0		; Track 0 Size
track_record_11_1:
	.dc.l	track_11_1 - track_11_0		; Track 0 Offset
	.dc.l	track_11_2 - track_11_1		; Track 0 Size
track_table_end_11:

track_11_0:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_11_1 - track_11_0		; Track Size
	
segment_table_11_0:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_11_0 - segment_table_11_0 ; Table Size
	.dc.l	2				; # of Segments
segment_record_11_0_0:
	.dc.l	0				; Offset
	.dc.l	segment_11_0_1 - segment_11_0_0	; Size
	.dc.l	260				; first frame
	.dc.l	298				; last frame
segment_record_11_0_1:
	.dc.l	0				; Offset
	.dc.l	segment_11_0_2 - segment_11_0_1	; Size
	.dc.l	1063				; first frame
	.dc.l	1073				; last frame
segment_table_end_11_0:
	
segment_11_0_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_11_0_1 - segment_11_0_0	; Segment size
	
vtrack_11_0_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_11_0_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_11_0_0 - subt_11_0_0	; Subtitle Size
	.dc.b	'WHERE THE HELL AM I?',0	; String
	.long
subt_end_11_0_0:

score_11_0_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_11_0_0 - score_11_0_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_11_0_0:


segment_11_0_1:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_11_0_2 - segment_11_0_1	; Segment size
	
vtrack_11_0_1:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_11_0_1:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_11_0_1 - subt_11_0_1	; Subtitle Size
	.dc.b	'I BET YOU COULD',0		; String
	.long
subt_end_11_0_1:

score_11_0_1:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_11_0_1 - score_11_0_1	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_11_0_1:
segment_11_0_2:


track_11_1:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_11_2 - track_11_1		; Track Size
	
segment_table_11_1:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_11_1 - segment_table_11_1 ; Table Size
	.dc.l	2				; # of Segments
segment_record_11_1_0:
	.dc.l	0				; Offset
	.dc.l	segment_11_1_1 - segment_11_1_0	; Size
	.dc.l	260				; first frame
	.dc.l	298				; last frame
segment_record_11_1_1:
	.dc.l	0				; Offset
	.dc.l	segment_11_1_2 - segment_11_1_1	; Size
	.dc.l	1063				; first frame
	.dc.l	1073				; last frame
segment_table_end_11_1:
	
segment_11_1_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_11_1_1 - segment_11_1_0	; Segment size
	
vtrack_11_1_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_11_1_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_11_1_0 - subt_11_1_0	; Subtitle Size
	.dc.b	'UNUSED',0			; String
	.long
subt_end_11_1_0:

score_11_1_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_11_1_1 - score_11_1_1	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_11_1_0:


segment_11_1_1:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_11_1_2 - segment_11_1_1	; Segment size
	
vtrack_11_1_1:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_11_1_1:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_11_1_1 - subt_11_1_1	; Subtitle Size
	.dc.b	'I BET YOU COULD',0		; String
	.long
subt_end_11_1_1:

score_11_1_1:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_11_1_1 - score_11_1_1	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_11_1_1:
segment_11_1_2:




track_11_2:
aux_atom_end_11:





;*****************************************************************
;	SEG/FILM 12
;*****************************************************************


	.long
aux_atom_12:
	.dc.b	'AUXL'				; AUX ID
	.dc.l	aux_atom_end_12 - aux_atom_12	; AUX Size
	.dc.l	0				; Reserved

track_table_12_0:
	.dc.b	'TRTB'				; Track Table ID
	.dc.l	track_table_end_12_0 - track_table_12_0 ; Table Size
	.dc.l	2				; # of Tracks
	
track_record_12_0_0:
	.dc.l	0				; Track 0 Offset
	.dc.l	track_12_1 - track_12_0	; 	Track 0 Size
track_record_12_0_1:
	.dc.l	track_12_1 - track_12_0		; Track 0 Offset
	.dc.l	track_12_2 - track_12_1		; Track 0 Size

track_table_end_12_0:

track_12_0:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_12_1 - track_12_0		; Track Size
	
segment_table_12_0:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_12_0 - segment_table_12_0 ; Table Size
	.dc.l	1				; # of Segments
segment_record_12_0_0:
	.dc.l	0				; Offset
	.dc.l	segment_12_0_1 - segment_12_0_0	; Size
	.dc.l	12				; first frame
	.dc.l	36				; last frame
segment_table_end_12_0:
	
segment_12_0_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_12_0_1 - segment_12_0_0	; Segment size
	
vtrack_12_0_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_12_0_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_12_0_0 - subt_12_0_0	; Subtitle Size
	.dc.b	'GO FOR THE DORR',0		; String
	.long
subt_end_12_0_0:

score_12_0_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_12_0_0 - score_12_0_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_12_0_0:
segment_12_0_1:


track_12_1:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_12_2 - track_12_1		; Track Size
	
segment_table_12_1:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_12_1 - segment_table_12_1 ; Table Size
	.dc.l	1				; # of Segments
segment_record_12_1_0:
	.dc.l	0				; Offset
	.dc.l	segment_12_1_1 - segment_12_1_0	; Size
	.dc.l	12				; first frame
	.dc.l	36				; last frame
segment_table_end_12_1:
	
segment_12_1_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_12_1_1 - segment_12_1_0	; Segment size
	
vtrack_12_1_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_12_1_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_12_1_0 - subt_12_1_0	; Subtitle Size
	.dc.b	'GRAB HER',0			; String
	.long
subt_end_12_1_0:

score_12_1_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_12_1_0 - score_12_1_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_12_1_0:
segment_12_1_1:
track_12_2:
aux_atom_end_12:



;*****************************************************************
;	SEG/FILM 14
;*****************************************************************


	.long
aux_atom_14:
	.dc.b	'AUXL'				; AUX ID
	.dc.l	aux_atom_end_14 - aux_atom_14	; AUX Size
	.dc.l	0				; Reserved

track_table_14_0:
	.dc.b	'TRTB'				; Track Table ID
	.dc.l	track_table_end_14_0 - track_table_14_0 ; Table Size
	.dc.l	2				; # of Tracks
	
track_record_14_0_0:
	.dc.l	0				; Track 0 Offset
	.dc.l	track_14_1 - track_14_0	; 	Track 0 Size
track_record_14_0_1:
	.dc.l	track_14_1 - track_14_0		; Track 0 Offset
	.dc.l	track_14_2 - track_14_1		; Track 0 Size

track_table_end_14_0:

track_14_0:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_14_1 - track_14_0		; Track Size
	
segment_table_14_0:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_14_0 - segment_table_14_0 ; Table Size
	.dc.l	1				; # of Segments
segment_record_14_0_0:
	.dc.l	0				; Offset
	.dc.l	segment_14_0_1 - segment_14_0_0	; Size
	.dc.l	44				; first frame
	.dc.l	56				; last frame
segment_table_end_14_0:
	
segment_14_0_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_14_0_1 - segment_14_0_0	; Segment size
	
vtrack_14_0_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_14_0_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_14_0_0 - subt_14_0_0	; Subtitle Size
	.dc.b	'OH, SHIT!',0			; String
	.long
subt_end_14_0_0:

score_14_0_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_14_0_0 - score_14_0_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_14_0_0:
segment_14_0_1:


track_14_1:
	.dc.b	'TRAK'				; Track ID
	.dc.l	track_14_2 - track_14_1		; Track Size
	
segment_table_14_1:
	.dc.b	'SGTB'				; Segment Table
	.dc.l	segment_table_end_14_1 - segment_table_14_1 ; Table Size
	.dc.l	1				; # of Segments
segment_record_14_1_0:
	.dc.l	0				; Offset
	.dc.l	segment_14_1_1 - segment_14_1_0	; Size
	.dc.l	12				; first frame
	.dc.l	36				; last frame
segment_table_end_14_1:
	
segment_14_1_0:
	.dc.b	'SGMT'				; Segment ID
	.dc.l	segment_14_1_1 - segment_14_1_0	; Segment size
	
vtrack_14_1_0:
	.dc.b	'VTRK'				; VTrack ID
	.dc.l	12				; Size
	.dc.l	0				; Data: Empty for now

subt_14_1_0:
	.dc.b	'SUBT'				; Subtitle ID
	.dc.l	subt_end_14_1_0 - subt_14_1_0	; Subtitle Size
	.dc.b	'OOPS...',0			; String
	.long
subt_end_14_1_0:

score_14_1_0:
	.dc.b	'SCOR'				; Score ID
	.dc.l	score_end_14_1_0 - score_14_1_0	; Score Size
	.dc.b	00,00,00,00,10			
	.dc.b	00
	.dc.w	$dead
score_end_14_1_0:
segment_14_1_1:
track_14_2:
aux_atom_end_14:



