#ifndef __DIALOGITEM_H
#define __DIALOGITEM_H

#include "basewin.h"
class DialogItem : public BaseWin
{
public:
  DialogItem() 
  {
    SetHWND(0);
  }
  DialogItem(HWND h)
  {
    SetHWND(h);
  }
  DialogItem(HWND h, int id)
    : BaseWin(h, id)
  {
  }
  DialogItem(BaseWin* w, int id)
    : BaseWin(w->GetHWND(), id)
  {
  }
  ~DialogItem()
  {
    SetHWND(0); // prevent DestroyWindow.
  }
};

#endif