#ifndef __SPLASHST_H
#define __SPLASHST_H
#include "navconst.h"
class FunkyButton;
//-----------------------------------------------------------------------------
class SplashState: public NavConState
{
public:
	~SplashState();
  SplashState(NavController* ct) 
    : NavConState(ct) 
    , stime(0) 
  {
    button[0] = 0;
    button[1] = 0;
    button[2] = 0;
  }
  virtual BOOL OnWindowCreate()
  {
    return Setup();
  }
  virtual void OnAppExit();
  virtual void Idle();
  virtual void OnPaint(const CDC& dc, const CRect& r);
  virtual void MouseDown(const CPoint&, int);
  virtual void GoPlay();
  virtual BOOL WantsDialogKeys() { return TRUE; }
private:
  HMODULE hResDLL;
  BOOL Setup();
  RECT splashRect;
  DWORD stime;
  HBITMAP hbmp;
  FunkyButton* button[3];
};
#endif
